Results 1 to 5 of 5

Thread: Error when running demo

  1. #1
    Sencha User
    Join Date
    May 2019
    Posts
    2
    Vote Rating
    0
      0  

    Default Error when running demo

    I have downloaded the ext-angular repo, navigated to demos\angular-cli-with-library.
    Then run NPM install.
    When I run ng serve I get the following error:
    ERROR in src/app/app.module.ts(3,34): error TS2307: Cannot find module 'ext-angular'.
    What have I neglected to do!
    Kind regards
    Sean

  2. #2
    Sencha - Forum Administrator
    Join Date
    Sep 2017
    Posts
    977
    Vote Rating
    -506
      0  

    Default

    Thank you so much for your post. I apologize for the delay. I have shared this with the support staff to look into at their earliest convenience. Your patience is greatly appreciated!

    Thanks again,

    Michele


  3. #3
    Ext Support Team
    Join Date
    Jan 2018
    Posts
    443
    Vote Rating
    -321
      0  

    Default

    Hello Sean,

    Please refer to the below URL for troubleshooting, please revert back if the issue still persists.

    https://docs.sencha.com/extjs/6.7.0/.../npm_help.html

    Regards,
    Kumar
    Sencha Support.

  4. #4
    Ext Support Team
    Join Date
    Jan 2018
    Posts
    443
    Vote Rating
    -321
      0  

    Default

    Also,

    We suggest to check node_modules/@sencha/ext-angular exists? And if it doesn't I check ~/.npmrc to verify the @sencha scope is there, or just aim to login again to sencha npm repository, and then run npm install again.


    It's likely the login didn't work correctly.
    Anytime a module can't be found it's likely not available to load in the node_modules.

  5. #5
    Sencha User
    Join Date
    May 2019
    Posts
    2
    Vote Rating
    0
      0  

    Default

    Thank you for the suggestions. In brief:
    I started from scratch with a new login / trial. My previous trial had timed out before I was able to get anything running.
    I have successfully logged in using npm login --registry=https://npm.sencha.com --scope=@sencha
    I have run npm install -g @sencha/ext-angular
    The Sencha scope seems to have successfully installed and can be found in C:\Users\sean\AppData\Roaming\npm\node_modules\@sencha
    When I run npm install in my project directory I get the following error:
    npm ERR! code ETARGET
    npm ERR! notarget No matching version found for @sencha/ext-angular@~6.7.1
    npm ERR! notarget In most cases you or one of your dependencies are requesting
    npm ERR! notarget a package version that doesn't exist.
    npm ERR! notarget
    npm ERR! notarget It was specified as a dependency of 'angular-cli-with-library'

    Any suggestions?
    Kind regards
    Sean

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •